#!/bin/bash
#
# Copyright (C) 2023 MOXA Inc. All rights reserved.
# This software is distributed under the terms of the MOXA SOFTWARE NOTICE.
# See the file LICENSE for details.
#
# Authors:
#       2023  Wilson YS Huang  <wilsonys.huang@moxa.com>

colors::red() {
        local str
        str="${*}"

        echo -e "\e[31m${str}\e[0m"
}

colors::yellow() {
        local str
        str="${*}"

        echo -e "\e[33m${str}\e[0m"
}

colors::green() {
        local str
        str="${*}"

        echo -e "\e[32m${str}\e[0m"
}

colors::white() {
        local str
        str="${*}"

        echo -e "\e[97m${str}\e[0m"
}
